Subject: bug#36633: Scrolling by pixels: visible stretch glyphs overwrite header-line.

From: Alan Third <[email-masked]>
Date: Sat, 27 Jul 2019 18:32:46 +0100

On Wed, Jul 17, 2019 at 08:56:50PM -0700, Keith David Bershatsky wrote:
> I applied the following patch:
> 
> 0001-Fix-stretch-glyphs-overlap-with-line-above-bug-36633.patch
> 
> and can confirm that the header-line is no longer being overwritten by the visible stretch glyphs as described in the initial post as to issue 36633.  Thank you for your work on this issue!
> 
> The following is a screenshot of the results with the above-mentioned patch applied:
> 
> https://youtu.be/g8DkCW-vaKA

Fix pushed to master.

That flickering on the modeline is annoying. I suspect it’s happening
because the scrolling happens at a different time from the redrawing.
I really need to get back on the offscreen drawing work.
-- 
Alan Third